Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## dioscuri.module.serialport
Class ComPort

    java.lang.Object
      dioscuri.module.serialport.ComPort

    public class ComPort

extends java.lang.Object

Author:
  Bram Lohman, Bart Kiers

Field Summary
`protected int` | `baudrate`
`protected byte` | `dll`
`protected byte` | `dlm`
`protected int` | `fcr_enable`
`protected int` | `fcr_rxtrigger`
`protected int` | `fifo_interrupt`
`protected int` | `fifo_ipending`
`protected int` | `ier_modstat_enable`
`protected int` | `ier_rxdata_enable`
`protected int` | `ier_rxlstat_enable`
`protected int` | `ier_txhold_enable`
`protected int` | `iir_int_ID`
`protected int` | `iir_ipending`
`protected int` | `irq`
`protected int` | `lcr_break_cntl`
`protected int` | `lcr_dlab`
`protected int` | `lcr_evenparity_sel`
`protected int` | `lcr_parity_enable`
`protected int` | `lcr_stick_parity`
`protected int` | `lcr_stopbits`
`protected int` | `lcr_wordlen_sel`
`protected int` | `ls_interrupt`
`protected int` | `ls_ipending`
`protected int` | `lsr_break_int`
`protected int` | `lsr_fifo_error`
`protected int` | `lsr_framing_error`
`protected int` | `lsr_overrun_error`
`protected int` | `lsr_parity_error`
`protected int` | `lsr_rxdata_ready`
`protected int` | `lsr_thr_empty`
`protected int` | `lsr_tsr_empty`
`protected int` | `mcr_dtr`
`protected int` | `mcr_local_loopback`
`protected int` | `mcr_out1`
`protected int` | `mcr_out2`
`protected int` | `mcr_rts`
`protected int` | `ms_interrupt`
`protected int` | `ms_ipending`
`protected int` | `msr_cts`
`protected int` | `msr_dcd`
`protected int` | `msr_delta_cts`
`protected int` | `msr_delta_dcd`
`protected int` | `msr_delta_dsr`
`protected int` | `msr_dsr`
`protected int` | `msr_ri`
`protected int` | `msr_ri_trailedge`
`protected byte` | `rbr`
`protected static int` | `RX_IDLE`
`protected int` | `rx_interrupt`
`protected int` | `rx_ipending`
`protected static int` | `RX_POLL`
`protected int` | `rx_pollstate`
`protected static int` | `RX_WAIT`
`protected byte` | `scr`
`protected byte` | `thr`
`protected byte` | `tsr`
`protected int` | `tx_interrupt`
`protected UART` | `uartDevice`

Constructor Summary
`ComPort()`

Method Summary
`void` | `reset()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### uartDevice

    protected UART uartDevice

### ls_ipending

    protected int ls_ipending

### ms_ipending

    protected int ms_ipending

### rx_ipending

    protected int rx_ipending

### fifo_ipending

    protected int fifo_ipending

### ls_interrupt

    protected int ls_interrupt

### ms_interrupt

    protected int ms_interrupt

### rx_interrupt

    protected int rx_interrupt

### fifo_interrupt

    protected int fifo_interrupt

### tx_interrupt

    protected int tx_interrupt

### rx_pollstate

    protected int rx_pollstate

### rbr

    protected byte rbr

### thr

    protected byte thr

### tsr

    protected byte tsr

### ier_rxdata_enable

    protected int ier_rxdata_enable

### ier_txhold_enable

    protected int ier_txhold_enable

### ier_rxlstat_enable

    protected int ier_rxlstat_enable

### ier_modstat_enable

    protected int ier_modstat_enable

### iir_ipending

    protected int iir_ipending

### iir_int_ID

    protected int iir_int_ID

### fcr_enable

    protected int fcr_enable

### fcr_rxtrigger

    protected int fcr_rxtrigger

### lcr_wordlen_sel

    protected int lcr_wordlen_sel

### lcr_stopbits

    protected int lcr_stopbits

### lcr_parity_enable

    protected int lcr_parity_enable

### lcr_evenparity_sel

    protected int lcr_evenparity_sel

### lcr_stick_parity

    protected int lcr_stick_parity

### lcr_break_cntl

    protected int lcr_break_cntl

### lcr_dlab

    protected int lcr_dlab

### mcr_dtr

    protected int mcr_dtr

### mcr_rts

    protected int mcr_rts

### mcr_out1

    protected int mcr_out1

### mcr_out2

    protected int mcr_out2

### mcr_local_loopback

    protected int mcr_local_loopback

### lsr_rxdata_ready

    protected int lsr_rxdata_ready

### lsr_overrun_error

    protected int lsr_overrun_error

### lsr_parity_error

    protected int lsr_parity_error

### lsr_framing_error

    protected int lsr_framing_error

### lsr_break_int

    protected int lsr_break_int

### lsr_thr_empty

    protected int lsr_thr_empty

### lsr_tsr_empty

    protected int lsr_tsr_empty

### lsr_fifo_error

    protected int lsr_fifo_error

### msr_delta_cts

    protected int msr_delta_cts

### msr_delta_dsr

    protected int msr_delta_dsr

### msr_ri_trailedge

    protected int msr_ri_trailedge

### msr_delta_dcd

    protected int msr_delta_dcd

### msr_cts

    protected int msr_cts

### msr_dsr

    protected int msr_dsr

### msr_ri

    protected int msr_ri

### msr_dcd

    protected int msr_dcd

### scr

    protected byte scr

### dll

    protected byte dll

### dlm

    protected byte dlm

### irq

    protected int irq

### baudrate

    protected int baudrate

### RX_IDLE

    protected static final int RX_IDLE

See Also:
  Constant Field Values

### RX_POLL

    protected static final int RX_POLL

See Also:
  Constant Field Values

### RX_WAIT

    protected static final int RX_WAIT

See Also:
  Constant Field Values

Constructor Detail

### ComPort

    public ComPort()

Method Detail

### reset

    public void reset()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD